List a project's members
import requests
url = "https://platform.ankra.app/api/v1/org/projects/{project_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/projects/{project_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/projects/{project_id}/members \
--header 'Authorization: Bearer <token>'{
"members": [
{
"ankra_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"via": "organisation",
"role_slug": "<string>"
}
],
"invitations": [
{
"email": "<string>",
"role_slug": "<string>",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}Projects
List a project's members
Lists the members who reach a project, and whether through an organisation-wide or a project-scoped assignment, with the project-only invitations still open. Requires projects.read.
GET
/
api
/
v1
/
org
/
projects
/
{project_id}
/
members
List a project's members
import requests
url = "https://platform.ankra.app/api/v1/org/projects/{project_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/projects/{project_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/projects/{project_id}/members \
--header 'Authorization: Bearer <token>'{
"members": [
{
"ankra_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"via": "organisation",
"role_slug": "<string>"
}
],
"invitations": [
{
"email": "<string>",
"role_slug": "<string>",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project.